Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.internal.core.util
Class Element

    java.lang.Object
      org.eclipse.emf.ecp.internal.core.util.Element

All Implemented Interfaces:
  Comparable<ECPElement>, ECPElement

Direct Known Subclasses:
  DefaultProvider, DefaultUIProvider, ElementDescriptor, PropertiesElement

    public abstract class Element

extends Object
implements ECPElement

Author:
  Eike Stepper

Constructor Summary
`Element(String name)` The constructor of an `Element`.

Method Summary
`int` | `compareTo(ECPElement o)`
`boolean` | `equals(Object obj)`
`String` | `getName()` This returns the unique name of the object.
`abstract String` | `getType()` This return the type of the object.
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Element

    public Element(String name)

  The constructor of an `Element`.

  Parameters:
    `name` - the name of the created element

Method Detail

### getName

    public final String getName()

  This returns the unique name of the object.

  Specified by:
    `getName` in interface `ECPElement`
  Returns:
    the name

### compareTo

    public int compareTo(ECPElement o)

  Specified by:
    `compareTo` in interface `Comparable<ECPElement>`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getType

    public abstract String getType()

  This return the type of the object.

  Returns:
    the type

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.